<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <title>Jquery Selector</title>
    <style>
        body {
            font-size: 12px;
            font-family: arial;
            background: #f4f4f4;
            line-height: 1.5em;
        }

        header {
            background-color: grey;
            padding: 20px;
            text-align: center;
            color: rgb(252, 246, 246);
            margin-bottom: 10px;
        }

        #container {
            width: 90%;
            margin: auto;
            padding: 10px;
        }

        .myClass {
            color: blue;
            background: black;
        }
    </style>
</head>

<body>
    <header>
        <h1>
            Jquery Dom Manipulation
        </h1>
    </header>

    <div id="container">

        <button id="btn1">Button</button>
        <p class="para1">
            Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy
            text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen
            book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially
            unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages,
            and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. Why
            do we use it? It is a long established fact that a reader will be distracted by the readable content of a page
            when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution
            of letters, as opposed to using 'Content here, content here', making it look like readable English. Many desktop
            publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for 'lorem
            ipsum' will uncover many web sites still in their infancy. Various versions have evolved over the years, sometimes
            by accident, sometimes on purpose (injected humour and the like).


        </p>
        <br>
        <p class="para2">
            Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy
            text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen
            book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially
            unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages,
            and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. Why
            do we use it? It is a long established fact that a reader will be distracted by the readable content of a page
            when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution
            of letters, as opposed to using 'Content here, content here', making it look like readable English. Many desktop
            publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for 'lorem
            ipsum' will uncover many web sites still in their infancy. Various versions have evolved over the years, sometimes
            by accident, sometimes on purpose (injected humour and the like).


        </p>
        <div id="myDiv">

        </div>

        <ul>
            <li>Item 1</li>
            <li>Item 2</li>
            <li>Item 3</li>
            <li>Item 4</li>
            <li>Item 5</li>
            <li>Item 6</li>
        </ul>

        <a href="http://google.com">Goggle</a>

    </div>


    <script>
        $(document).ready(function () {

            //Adding classes to dom element 
            /*      
            $('p.para1').css('background-color', "red");
            $('p.para2').addClass('myClass');
            $('p.para2').removeClass('myClass');
            $('#btn1').click(function () {
                $('p.para2').toggleClass('myClass');
            });

            //     $('#myDiv').text('hello Swapnil');
            $('#myDiv').html('<h2>hello Swapnil</h3>');
   //         alert($('#myDiv').text());
     
*/
// Append prepend before after detach empty attr
/*
             $('ul').append('<li>Append list items</li>');  
             $('ul').prepend('<li>Prepend List Items</li>');
             $('.para1').appendTo(".para2");
             $('.para1').prependTo(".para2");
             $('ul').before('<h4>Hello</h4>');
             $('ul').after('<h4>Swapnil</h4>');
             $('ul').empty(); //it remove li from ul
             $('ul').detach(); //it will remove ul from the dom
             $('a').attr('target',"_blank");
             alert($('a').attr('href'));
             $('a').removeAttr('target');
*/
              $('p').wrap('<h1>');
        });
    </script>
</body>

</html>